# ConstructorOptions | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- ConstructorOptions

## Index

### Properties

- bitcoinPublicKeychain
- chain
- configPrivateKey
- encryptedBackupPhrase
- firstBitcoinAddress
- identities
- identityAddresses
- identityKeypairs
- identityPublicKeychain
- stacksPrivateKey
- walletConfig

## Properties

### bitcoinPublicKeychain

bitcoinPublicKeychain: string

- Defined in packages/keychain/src/wallet/index.ts:60

### chain

chain: ChainID

- Defined in packages/keychain/src/wallet/index.ts:58

### configPrivateKey

configPrivateKey: string

- Defined in packages/keychain/src/wallet/index.ts:66

### encryptedBackupPhrase

encryptedBackupPhrase: string

- Defined in packages/keychain/src/wallet/index.ts:64

### firstBitcoinAddress

firstBitcoinAddress: string

- Defined in packages/keychain/src/wallet/index.ts:61

### identities

identities: Identity []

- Defined in packages/keychain/src/wallet/index.ts:65

### identityAddresses

identityAddresses: string[]

- Defined in packages/keychain/src/wallet/index.ts:63

### identityKeypairs

identityKeypairs: IdentityKeyPair []

- Defined in packages/keychain/src/wallet/index.ts:62

### identityPublicKeychain

identityPublicKeychain: string

- Defined in packages/keychain/src/wallet/index.ts:59

### stacksPrivateKey

stacksPrivateKey: string

- Defined in packages/keychain/src/wallet/index.ts:67

### Optional walletConfig

walletConfig: WalletConfig

- Defined in packages/keychain/src/wallet/index.ts:68

Generated using TypeDoc